import { L10nConfig } from '../models/l10n-config';
import { L10nLocale } from '../models/types';
import * as i0 from "@angular/core";
/**
 * Implement this class-interface to resolve the locale.
 */
export declare abstract class L10nLocaleResolver {
    /**
     * This method must contain the logic to get the locale.
     * @return The locale
     */
    abstract get(): Promise<L10nLocale | null>;
    static ɵfac: i0.ɵɵFactoryDeclaration<L10nLocaleResolver, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<L10nLocaleResolver>;
}
export declare class L10nDefaultLocaleResolver implements L10nLocaleResolver {
    private config;
    constructor(config: L10nConfig);
    get(): Promise<L10nLocale | null>;
    static ɵfac: i0.ɵɵFactoryDeclaration<L10nDefaultLocaleResolver, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<L10nDefaultLocaleResolver>;
}
